"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useChatInputEntity_unstable", {
    enumerable: true,
    get: function() {
        return useChatInputEntity_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const useChatInputEntity_unstable = (props, ref)=>{
    const { as } = props;
    const elementType = as !== null && as !== void 0 ? as : 'span';
    const nativeProps = (0, _reactcomponents.getPartitionedNativeProps)({
        props,
        primarySlotTagName: elementType
    });
    const defaultTextSlotProps = elementType === 'a' ? {
        target: '_blank',
        rel: 'noopener',
        // We don't want to enable tab focus for components inside the ChatInput
        tabIndex: -1,
        ...nativeProps.primary,
        as: 'a',
        // This cast is safe to do at this point because we know the type of element we are rendering is an anchor
        ref: ref
    } : {
        ...nativeProps.primary,
        as: 'span',
        ref
    };
    return {
        components: {
            root: 'span',
            sensitivity: 'span',
            text: elementType
        },
        root: _reactcomponents.slot.always(props.root, {
            defaultProps: nativeProps.root,
            elementType: 'span'
        }),
        sensitivity: _reactcomponents.slot.optional(props.sensitivity, {
            elementType: 'span'
        }),
        text: _reactcomponents.slot.optional(props.text, {
            defaultProps: defaultTextSlotProps,
            renderByDefault: true,
            elementType
        })
    };
}; //# sourceMappingURL=useChatInputEntity.js.map
