"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    $createChatInputTokenNode: function() {
        return $createChatInputTokenNode;
    },
    $isChatInputTokenNode: function() {
        return $isChatInputTokenNode;
    },
    ChatInputTokenNode: function() {
        return ChatInputTokenNode;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _define_property = require("@swc/helpers/_/_define_property");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _texteditor = require("@fluentui-copilot/text-editor");
const _ChatInputToken = require("./ChatInputToken");
class ChatInputTokenNode extends _texteditor.DecoratorNode {
    static getType() {
        return 'token';
    }
    static clone(node) {
        return new ChatInputTokenNode(node.__text, node.__componentProps, node.__key);
    }
    static importJSON(serializedNode) {
        return $createChatInputTokenNode(serializedNode.text, serializedNode.componentProps);
    }
    isIsolated() {
        return true;
    }
    isInline() {
        return true;
    }
    getTextContent() {
        return this.__text;
    }
    exportJSON() {
        return {
            text: this.__text,
            componentProps: this.__componentProps,
            type: ChatInputTokenNode.getType(),
            version: 1
        };
    }
    createDOM() {
        // eslint-disable-next-line no-restricted-globals
        return document.createElement('span');
    }
    updateDOM() {
        return false;
    }
    decorate(_editor, config) {
        var _this___componentProps;
        if ((_this___componentProps = this.__componentProps) === null || _this___componentProps === void 0 ? void 0 : _this___componentProps.children) {
            return /*#__PURE__*/ _react.createElement(_ChatInputToken.ChatInputToken, this.__componentProps);
        }
        return /*#__PURE__*/ _react.createElement(_ChatInputToken.ChatInputToken, this.__componentProps, this.__text);
    }
    constructor(text, componentProps, key){
        super(key);
        (0, _define_property._)(this, "__text", void 0);
        (0, _define_property._)(this, "__componentProps", void 0);
        this.__text = text;
        this.__componentProps = componentProps;
    }
}
function $createChatInputTokenNode(text, componentProps, key) {
    return new ChatInputTokenNode(text, componentProps, key);
}
function $isChatInputTokenNode(node) {
    return node instanceof ChatInputTokenNode;
} //# sourceMappingURL=ChatInputToken.node.js.map
