"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useGhostText_unstable", {
    enumerable: true,
    get: function() {
        return useGhostText_unstable;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const _reacttexteditor = require("@fluentui-copilot/react-text-editor");
const useGhostText_unstable = (props, ref)=>{
    const { nodeKey, onClick, ...rest } = props;
    const [editor] = (0, _reacttexteditor.useLexicalComposerContext)();
    const handleClick = _react.useCallback((_ev)=>{
        if (!nodeKey) {
            return;
        }
        editor.update(()=>{
            var _node_getPreviousSibling;
            const node = (0, _reacttexteditor.$getNodeByKey)(nodeKey);
            node === null || node === void 0 ? void 0 : (_node_getPreviousSibling = node.getPreviousSibling()) === null || _node_getPreviousSibling === void 0 ? void 0 : _node_getPreviousSibling.selectEnd();
        }, {
            tag: 'historic'
        });
    }, [
        editor,
        nodeKey
    ]);
    const mergedOnClick = (0, _reactcomponents.mergeCallbacks)(handleClick, onClick);
    const state = {
        components: {
            root: 'span',
            indicator: 'span'
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('span', {
            ref,
            onClick: mergedOnClick,
            ...rest
        }), {
            elementType: 'span'
        }),
        indicator: _reactcomponents.slot.optional(props.indicator, {
            elementType: 'span'
        })
    };
    return state;
}; //# sourceMappingURL=useGhostText.js.map
