"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "BasicFunctionalityPlugin", {
    enumerable: true,
    get: function() {
        return BasicFunctionalityPlugin;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reacttexteditor = require("@fluentui-copilot/react-text-editor");
const _reactcomponents = require("@fluentui/react-components");
const _chatinputplugins = require("@fluentui-copilot/chat-input-plugins");
const BasicFunctionalityPlugin = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const { defaultValue, trimWhitespace, onCountChanged, onContentChange, onPaste, isSentinelNodeEnabled } = props;
    const [editor] = (0, _reacttexteditor.useLexicalComposerContext)();
    const [basicFunctionalityImpl, setBasicFunctionalityImpl] = _react.useState(null);
    (0, _reactcomponents.useIsomorphicLayoutEffect)(()=>{
        setBasicFunctionalityImpl(new _chatinputplugins.BasicFunctionalityBase(editor, isSentinelNodeEnabled));
        return ()=>{
            setBasicFunctionalityImpl((prev)=>{
                prev === null || prev === void 0 ? void 0 : prev.cleanup();
                return null;
            });
        };
    }, [
        editor,
        isSentinelNodeEnabled
    ]);
    _react.useImperativeHandle(ref, ()=>({
            setIsDisabled (isDisabled) {
                basicFunctionalityImpl === null || basicFunctionalityImpl === void 0 ? void 0 : basicFunctionalityImpl.setIsDisabled(isDisabled);
            }
        }), [
        basicFunctionalityImpl
    ]);
    const setDefaultValue = _react.useRef(false);
    // useIsomorphicLayoutEffect is used to avoid flickering on first render
    (0, _reactcomponents.useIsomorphicLayoutEffect)(()=>{
        if (basicFunctionalityImpl && !setDefaultValue.current) {
            if (defaultValue) {
                basicFunctionalityImpl.insertDefaultValue(defaultValue);
            }
            setDefaultValue.current = true;
        }
    }, [
        basicFunctionalityImpl,
        defaultValue,
        editor
    ]);
    _react.useEffect(()=>{
        basicFunctionalityImpl === null || basicFunctionalityImpl === void 0 ? void 0 : basicFunctionalityImpl.activateContentCallbacks(onContentChange, onCountChanged);
        return ()=>basicFunctionalityImpl === null || basicFunctionalityImpl === void 0 ? void 0 : basicFunctionalityImpl.deactivateContentCallbacks();
    }, [
        basicFunctionalityImpl,
        editor,
        onContentChange,
        onCountChanged
    ]);
    _react.useEffect(()=>{
        if (onPaste) {
            basicFunctionalityImpl === null || basicFunctionalityImpl === void 0 ? void 0 : basicFunctionalityImpl.activatePasteCallback(onPaste);
        }
        return ()=>basicFunctionalityImpl === null || basicFunctionalityImpl === void 0 ? void 0 : basicFunctionalityImpl.deactivatePasteCallback();
    }, [
        basicFunctionalityImpl,
        editor,
        onPaste
    ]);
    _react.useEffect(()=>{
        if (trimWhitespace) {
            basicFunctionalityImpl === null || basicFunctionalityImpl === void 0 ? void 0 : basicFunctionalityImpl.activateTrimWhitespace();
        }
        return ()=>basicFunctionalityImpl === null || basicFunctionalityImpl === void 0 ? void 0 : basicFunctionalityImpl.deactivateTrimWhitespace();
    }, [
        basicFunctionalityImpl,
        editor,
        trimWhitespace
    ]);
    return null;
}); //# sourceMappingURL=BasicFunctionality.js.map
