"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    $createChatInputEntityNode: function() {
        return $createChatInputEntityNode;
    },
    $isChatInputEntityNode: function() {
        return $isChatInputEntityNode;
    },
    ChatInputEntityNode: function() {
        return ChatInputEntityNode;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _define_property = require("@swc/helpers/_/_define_property");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _texteditor = require("@fluentui-copilot/text-editor");
const _ChatInputEntity = require("../../ChatInputEntity");
class ChatInputEntityNode extends _texteditor.DecoratorNode {
    static getType() {
        return 'entity';
    }
    static clone(node) {
        return new ChatInputEntityNode(node.__pluginId, node.__text, node.__data, node.__entityProps, node.__key);
    }
    static importJSON(serializedNode) {
        return $createChatInputEntityNode(serializedNode.pluginId, serializedNode.text, serializedNode.data, serializedNode.entityProps);
    }
    isIsolated() {
        return true;
    }
    isInline() {
        return true;
    }
    getTextContent() {
        return this.__text;
    }
    exportJSON() {
        return {
            pluginId: this.__pluginId,
            text: this.__text,
            data: this.__data,
            entityProps: this.__entityProps,
            type: ChatInputEntityNode.getType(),
            version: 1
        };
    }
    createDOM() {
        // eslint-disable-next-line no-restricted-globals
        return document.createElement('span');
    }
    updateDOM() {
        return false;
    }
    decorate(_editor, config) {
        var _this___entityProps;
        if ((_this___entityProps = this.__entityProps) === null || _this___entityProps === void 0 ? void 0 : _this___entityProps.children) {
            return /*#__PURE__*/ _react.createElement(_ChatInputEntity.ChatInputEntity, this.__entityProps);
        }
        return /*#__PURE__*/ _react.createElement(_ChatInputEntity.ChatInputEntity, this.__entityProps, this.__text);
    }
    getEntityData() {
        return {
            text: this.__text,
            data: this.__data,
            entityProps: this.__entityProps
        };
    }
    updateEntityData(data) {
        const writable = this.getWritable();
        writable.__text = data.text;
        writable.__data = data.data;
        writable.__entityProps = data.entityProps;
    }
    constructor(pluginId, text, data, entityProps, key){
        super(key);
        (0, _define_property._)(this, "__pluginId", void 0);
        (0, _define_property._)(this, "__text", void 0);
        (0, _define_property._)(this, "__entityProps", void 0);
        (0, _define_property._)(this, "__data", void 0);
        this.__pluginId = pluginId;
        this.__text = text;
        this.__data = data;
        this.__entityProps = entityProps;
    }
}
function $createChatInputEntityNode(pluginId, text, data, entityProps, key) {
    return new ChatInputEntityNode(pluginId, text, data, entityProps, key);
}
function $isChatInputEntityNode(node) {
    return node instanceof ChatInputEntityNode;
} //# sourceMappingURL=ChatInputEntity.node.js.map
