"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "ChatInputEntityPlugin", {
    enumerable: true,
    get: function() {
        return ChatInputEntityPlugin;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _reacttexteditor = require("@fluentui-copilot/react-text-editor");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _ChatInputEntitynode = require("./ChatInputEntity.node");
const _chatinputplugins = require("@fluentui-copilot/chat-input-plugins");
const ChatInputEntityPlugin = (props)=>{
    const { id, controlRef, onChatInputEntityAdded, onChatInputEntityDeleted, skipInitialization } = props;
    const [editor] = (0, _reacttexteditor.useLexicalComposerContext)();
    const chatInputEntityPluginBase = _react.useRef(null);
    _react.useEffect(()=>{
        chatInputEntityPluginBase.current = new _chatinputplugins.ChatInputEntityPluginBase(editor, id, _ChatInputEntitynode.ChatInputEntityNode, _ChatInputEntitynode.$createChatInputEntityNode, _ChatInputEntitynode.$isChatInputEntityNode, onChatInputEntityAdded, onChatInputEntityDeleted);
        return ()=>{
            var _chatInputEntityPluginBase_current;
            return (_chatInputEntityPluginBase_current = chatInputEntityPluginBase.current) === null || _chatInputEntityPluginBase_current === void 0 ? void 0 : _chatInputEntityPluginBase_current.cleanup();
        };
    }, [
        editor,
        id,
        onChatInputEntityAdded,
        onChatInputEntityDeleted,
        skipInitialization
    ]);
    _react.useImperativeHandle(controlRef, ()=>({
            insertChatInputEntity (props) {
                var _chatInputEntityPluginBase_current;
                return (_chatInputEntityPluginBase_current = chatInputEntityPluginBase.current) === null || _chatInputEntityPluginBase_current === void 0 ? void 0 : _chatInputEntityPluginBase_current.insertChatInputEntity(props);
            },
            getActiveEntities () {
                var _chatInputEntityPluginBase_current;
                var _chatInputEntityPluginBase_current_getActiveEntities;
                return (_chatInputEntityPluginBase_current_getActiveEntities = (_chatInputEntityPluginBase_current = chatInputEntityPluginBase.current) === null || _chatInputEntityPluginBase_current === void 0 ? void 0 : _chatInputEntityPluginBase_current.getActiveEntities()) !== null && _chatInputEntityPluginBase_current_getActiveEntities !== void 0 ? _chatInputEntityPluginBase_current_getActiveEntities : [];
            },
            removeChatInputEntity (keyOrPredicate) {
                var _chatInputEntityPluginBase_current;
                (_chatInputEntityPluginBase_current = chatInputEntityPluginBase.current) === null || _chatInputEntityPluginBase_current === void 0 ? void 0 : _chatInputEntityPluginBase_current.removeChatInputEntity(keyOrPredicate);
            },
            updateChatInputEntityProps (keyOrPredicate, props) {
                var _chatInputEntityPluginBase_current;
                (_chatInputEntityPluginBase_current = chatInputEntityPluginBase.current) === null || _chatInputEntityPluginBase_current === void 0 ? void 0 : _chatInputEntityPluginBase_current.updateChatInputEntityProps(keyOrPredicate, props);
            }
        }), []);
    return null;
}; //# sourceMappingURL=ChatInputEntityPlugin.js.map
