"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "GhostTextPlugin", {
    enumerable: true,
    get: function() {
        return GhostTextPlugin;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reacttexteditor = require("@fluentui-copilot/react-text-editor");
const _GhostText = require("../../GhostText");
const _GhostTextnode = require("./GhostText.node");
const _chatinputplugins = require("@fluentui-copilot/chat-input-plugins");
function GhostTextPlugin(props) {
    'use no memo';
    const { $getGhostText, id, ghostTextProps, exposeText, allowCompletion } = props;
    const [editor] = (0, _reacttexteditor.useLexicalComposerContext)();
    const [ghostTextBase, setGhostTextBase] = _react.useState(null);
    _react.useEffect(()=>{
        setGhostTextBase(new _chatinputplugins.GhostTextPluginBase(editor, id, $getGhostText, _GhostTextnode.GhostTextNode, _GhostText.$createGhostTextNode, ghostTextProps, exposeText, allowCompletion));
        return ()=>{
            setGhostTextBase((prev)=>{
                prev === null || prev === void 0 ? void 0 : prev.cleanup();
                return null;
            });
        };
    }, // We can update $getGhostText, $createGhostTextNode, ghostTextProps, exposeText, and allowCompletion without remounting
    // eslint-disable-next-line react-hooks/exhaustive-deps
    [
        editor,
        id
    ]);
    _react.useEffect(()=>{
        ghostTextBase === null || ghostTextBase === void 0 ? void 0 : ghostTextBase.setAllowCompletion(allowCompletion);
    }, [
        allowCompletion,
        ghostTextBase
    ]);
    _react.useEffect(()=>{
        ghostTextBase === null || ghostTextBase === void 0 ? void 0 : ghostTextBase.setComponentProps(ghostTextProps);
    }, [
        ghostTextBase,
        ghostTextProps
    ]);
    _react.useEffect(()=>{
        ghostTextBase === null || ghostTextBase === void 0 ? void 0 : ghostTextBase.setExposeText(exposeText);
    }, [
        exposeText,
        ghostTextBase
    ]);
    _react.useEffect(()=>{
        ghostTextBase === null || ghostTextBase === void 0 ? void 0 : ghostTextBase.setGetGhostText($getGhostText);
    }, [
        $getGhostText,
        ghostTextBase
    ]);
    return null;
} //# sourceMappingURL=GhostText.js.map
