"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    $createGhostTextNode: function() {
        return $createGhostTextNode;
    },
    $isGhostTextNode: function() {
        return $isGhostTextNode;
    },
    GhostTextNode: function() {
        return GhostTextNode;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _define_property = require("@swc/helpers/_/_define_property");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _texteditor = require("@fluentui-copilot/text-editor");
const _GhostText = require("../../components/GhostText/GhostText");
class GhostTextNode extends _texteditor.DecoratorNode {
    static clone(node) {
        return new GhostTextNode(node.__id, node.__content, node.__exposeText, node.__componentProps, node.__key);
    }
    static getType() {
        return 'ghosttext';
    }
    static importJSON(serializedNode) {
        const node = $createGhostTextNode(serializedNode.id, serializedNode.content, serializedNode.exposeText, serializedNode.componentProps);
        return node;
    }
    exportJSON() {
        return {
            type: 'ghosttext',
            id: this.__id,
            content: this.__content,
            componentProps: this.__componentProps,
            exposeText: this.__exposeText,
            version: 1
        };
    }
    isInline() {
        return true;
    }
    isIsolated() {
        return true;
    }
    getTextContent() {
        return this.__exposeText ? this.__content : '';
    }
    updateDOM(prevNode, dom, config) {
        return false;
    }
    createDOM(config) {
        // eslint-disable-next-line no-restricted-globals
        return document.createElement('span');
    }
    decorate() {
        return /*#__PURE__*/ _react.createElement(_GhostText.GhostText, {
            nodeKey: this.getKey(),
            ...this.__componentProps
        }, this.__content);
    }
    constructor(id, content, exposeText, componentProps, key){
        super(key);
        (0, _define_property._)(this, "__content", void 0);
        (0, _define_property._)(this, "__id", void 0);
        (0, _define_property._)(this, "__allowCommitting", void 0);
        (0, _define_property._)(this, "__componentProps", void 0);
        (0, _define_property._)(this, "__exposeText", void 0);
        this.__id = id;
        this.__content = content;
        this.__exposeText = exposeText;
        this.__componentProps = componentProps;
    }
}
function $createGhostTextNode(id, content, exposeText, componentProps) {
    return new GhostTextNode(id, content, exposeText, componentProps);
}
function $isGhostTextNode(node) {
    return node instanceof GhostTextNode;
} //# sourceMappingURL=GhostText.node.js.map
