import { __styles, mergeClasses } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
export const chatInputEntityClassNames = {
  root: 'fai-ChatInputEntity',
  sensitivity: 'fai-ChatInputEntity__sensitivity',
  text: 'fai-ChatInputEntity__text'
};
/**
 * Styles for the root slot
 */
const useStyles = __styles({
  root: {},
  text: {
    sj55zd: "f16muhyy"
  },
  href: {
    sj55zd: "fyind8e",
    Bde5pd6: "f1tx3yz7",
    Bi91k9c: "f1deo86v",
    i089h6: "f1eh06m1",
    lj723h: "f1iescvh"
  },
  sensitivity: {
    uwmqm3: ["fgiv446", "ffczdla"]
  }
}, {
  d: [".f16muhyy{color:var(--colorBrandForeground1);}", ".fyind8e{color:var(--colorBrandForegroundLink);}", ".fgiv446{padding-left:var(--spacingHorizontalXXS);}", ".ffczdla{padding-right:var(--spacingHorizontalXXS);}"],
  h: [".f1tx3yz7:hover{text-decoration-line:underline;}", ".f1deo86v:hover{color:var(--colorBrandForegroundLinkHover);}"],
  a: [".f1eh06m1:active{text-decoration-line:underline;}", ".f1iescvh:active{color:var(--colorBrandForegroundLinkPressed);}"]
});
/**
 * Apply styling to the ChatInputEntity slots based on the state
 */
export const useChatInputEntityStyles_unstable = state => {
  'use no memo';

  const styles = useStyles();
  state.root.className = mergeClasses(chatInputEntityClassNames.root, styles.root, state.root.className);
  if (state.text) {
    state.text.className = mergeClasses(chatInputEntityClassNames.text, styles.text, state.text.as === 'a' && styles.href, state.text.className);
  }
  if (state.sensitivity) {
    state.sensitivity.className = mergeClasses(chatInputEntityClassNames.sensitivity, styles.sensitivity, state.sensitivity.className);
  }
  return state;
};
//# sourceMappingURL=useChatInputEntityStyles.styles.js.map