import { _ as _define_property } from "@swc/helpers/_/_define_property";
import * as React from 'react';
import { DecoratorNode } from '@fluentui-copilot/text-editor';
import { ChatInputToken } from './ChatInputToken';
export class ChatInputTokenNode extends DecoratorNode {
  static getType() {
    return 'token';
  }
  static clone(node) {
    return new ChatInputTokenNode(node.__text, node.__componentProps, node.__key);
  }
  static importJSON(serializedNode) {
    return $createChatInputTokenNode(serializedNode.text, serializedNode.componentProps);
  }
  isIsolated() {
    return true;
  }
  isInline() {
    return true;
  }
  getTextContent() {
    return this.__text;
  }
  exportJSON() {
    return {
      text: this.__text,
      componentProps: this.__componentProps,
      type: ChatInputTokenNode.getType(),
      version: 1
    };
  }
  createDOM() {
    // eslint-disable-next-line no-restricted-globals
    return document.createElement('span');
  }
  updateDOM() {
    return false;
  }
  decorate(_editor, config) {
    var _this___componentProps;
    if ((_this___componentProps = this.__componentProps) === null || _this___componentProps === void 0 ? void 0 : _this___componentProps.children) {
      return /*#__PURE__*/React.createElement(ChatInputToken, this.__componentProps);
    }
    return /*#__PURE__*/React.createElement(ChatInputToken, this.__componentProps, this.__text);
  }
  constructor(text, componentProps, key) {
    super(key);
    _define_property(this, "__text", void 0);
    _define_property(this, "__componentProps", void 0);
    this.__text = text;
    this.__componentProps = componentProps;
  }
}
export function $createChatInputTokenNode(text, componentProps, key) {
  return new ChatInputTokenNode(text, componentProps, key);
}
export function $isChatInputTokenNode(node) {
  return node instanceof ChatInputTokenNode;
}
//# sourceMappingURL=ChatInputToken.node.js.map