import { __resetStyles, mergeClasses, typographyStyles } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
export const chatInputTokenClassNames = {
  root: 'fai-ChatInputToken'
};
/**
 * Styles for the root slot
 */
const useBaseClassName = __resetStyles("r1ksolxu", null, [".r1ksolxu{font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase200);font-weight:var(--fontWeightRegular);line-height:calc(var(--lineHeightBase200) + (2 * var(--spacingVerticalXXS)) + (2 * var(--strokeWidthThin)));background-color:var(--colorNeutralBackground3);border:var(--strokeWidthThin) solid var(--colorTransparentStroke);border-radius:var(--borderRadiusMedium);-webkit-box-decoration-break:clone;box-decoration-break:clone;color:var(--colorNeutralForeground2);padding:var(--spacingVerticalXXS) 0;}"]);
/**
 * Apply styling to the ChatInputToken slots based on the state
 */
export const useChatInputTokenStyles_unstable = state => {
  'use no memo';

  const baseClassName = useBaseClassName();
  state.root.className = mergeClasses(chatInputTokenClassNames.root, baseClassName, state.root.className);
  return state;
};
//# sourceMappingURL=useChatInputTokenStyles.styles.js.map