import { __styles, mergeClasses, typographyStyles } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
export const ghostTextClassNames = {
  root: 'fai-GhostText',
  indicator: 'fai-GhostText__indicator'
};
/**
 * Styles for the root slot
 */
const useStyles = __styles({
  root: {
    sj55zd: "fxc4j92",
    Huce71: "fibxuh5",
    i8kkvl: 0,
    Belr9w4: 0,
    rmohyg: "fkln5zr"
  },
  indicator: {
    Bahqtrf: "fk6fouc",
    Be2twd7: "f13mqy1h",
    Bhrd7zp: "fl43uef",
    Bg96gwp: "fcpl73t",
    sj55zd: "f11d4kpn",
    De3pzq: "f3vzo32",
    Byoj8tv: 0,
    uwmqm3: 0,
    z189sj: 0,
    z8tnut: 0,
    B0ocmuz: "f1vo1c1k",
    Beyfa6y: 0,
    Bbmb7ep: 0,
    Btl43ni: 0,
    B7oj6ja: 0,
    Dimara: "fq9zq91",
    Frg6f3: ["fbyavb5", "fm0x6gh"],
    Cd5d3v: "f1pc5kto"
  }
}, {
  d: [".fxc4j92{color:var(--colorNeutralForeground4);}", ".fibxuh5{white-space:pre-wrap;}", [".fkln5zr{gap:var(--spacingHorizontalXS);}", {
    p: -1
  }], ".fk6fouc{font-family:var(--fontFamilyBase);}", ".f13mqy1h{font-size:var(--fontSizeBase100);}", ".fl43uef{font-weight:var(--fontWeightSemibold);}", ".fcpl73t{line-height:var(--lineHeightBase100);}", ".f11d4kpn{color:var(--colorNeutralForeground3);}", ".f3vzo32{background-color:var(--colorNeutralBackground5);}", [".f1vo1c1k{padding:var(--spacingVerticalNone) var(--spacingHorizontalSNudge);}", {
    p: -1
  }], [".fq9zq91{border-radius:var(--borderRadiusSmall);}", {
    p: -1
  }], ".fbyavb5{margin-left:var(--spacingHorizontalXS);}", ".fm0x6gh{margin-right:var(--spacingHorizontalXS);}", ".f1pc5kto{mergin-right:var(--spacingHorizontalXS);}"]
});
/**
 * Apply styling to the GhostText slots based on the state
 */
export const useGhostTextStyles_unstable = state => {
  'use no memo';

  const styles = useStyles();
  state.root.className = mergeClasses(ghostTextClassNames.root, styles.root, state.root.className);
  if (state.indicator) {
    state.indicator.className = mergeClasses(ghostTextClassNames.indicator, styles.indicator, state.indicator.className);
  }
  return state;
};
//# sourceMappingURL=useGhostTextStyles.styles.js.map