import { useLexicalComposerContext } from '@fluentui-copilot/react-text-editor';
import * as React from 'react';
import { $createChatInputEntityNode, $isChatInputEntityNode, ChatInputEntityNode } from './ChatInputEntity.node';
import { ChatInputEntityPluginBase } from '@fluentui-copilot/chat-input-plugins';
export const ChatInputEntityPlugin = props => {
  const {
    id,
    controlRef,
    onChatInputEntityAdded,
    onChatInputEntityDeleted,
    skipInitialization
  } = props;
  const [editor] = useLexicalComposerContext();
  const chatInputEntityPluginBase = React.useRef(null);
  React.useEffect(() => {
    chatInputEntityPluginBase.current = new ChatInputEntityPluginBase(editor, id, ChatInputEntityNode, $createChatInputEntityNode, $isChatInputEntityNode, onChatInputEntityAdded, onChatInputEntityDeleted);
    return () => {
      var _chatInputEntityPluginBase_current;
      return (_chatInputEntityPluginBase_current = chatInputEntityPluginBase.current) === null || _chatInputEntityPluginBase_current === void 0 ? void 0 : _chatInputEntityPluginBase_current.cleanup();
    };
  }, [editor, id, onChatInputEntityAdded, onChatInputEntityDeleted, skipInitialization]);
  React.useImperativeHandle(controlRef, () => ({
    insertChatInputEntity(props) {
      var _chatInputEntityPluginBase_current;
      return (_chatInputEntityPluginBase_current = chatInputEntityPluginBase.current) === null || _chatInputEntityPluginBase_current === void 0 ? void 0 : _chatInputEntityPluginBase_current.insertChatInputEntity(props);
    },
    getActiveEntities() {
      var _chatInputEntityPluginBase_current;
      var _chatInputEntityPluginBase_current_getActiveEntities;
      return (_chatInputEntityPluginBase_current_getActiveEntities = (_chatInputEntityPluginBase_current = chatInputEntityPluginBase.current) === null || _chatInputEntityPluginBase_current === void 0 ? void 0 : _chatInputEntityPluginBase_current.getActiveEntities()) !== null && _chatInputEntityPluginBase_current_getActiveEntities !== void 0 ? _chatInputEntityPluginBase_current_getActiveEntities : [];
    },
    removeChatInputEntity(keyOrPredicate) {
      var _chatInputEntityPluginBase_current;
      (_chatInputEntityPluginBase_current = chatInputEntityPluginBase.current) === null || _chatInputEntityPluginBase_current === void 0 ? void 0 : _chatInputEntityPluginBase_current.removeChatInputEntity(keyOrPredicate);
    },
    updateChatInputEntityProps(keyOrPredicate, props) {
      var _chatInputEntityPluginBase_current;
      (_chatInputEntityPluginBase_current = chatInputEntityPluginBase.current) === null || _chatInputEntityPluginBase_current === void 0 ? void 0 : _chatInputEntityPluginBase_current.updateChatInputEntityProps(keyOrPredicate, props);
    }
  }), []);
  return null;
};
//# sourceMappingURL=ChatInputEntityPlugin.js.map