import * as React from 'react';
import { useLexicalComposerContext } from '@fluentui-copilot/react-text-editor';
import { $createGhostTextNode } from '../../GhostText';
import { GhostTextNode } from './GhostText.node';
import { GhostTextPluginBase } from '@fluentui-copilot/chat-input-plugins';
export function GhostTextPlugin(props) {
  'use no memo';

  const {
    $getGhostText,
    id,
    ghostTextProps,
    exposeText,
    allowCompletion
  } = props;
  const [editor] = useLexicalComposerContext();
  const [ghostTextBase, setGhostTextBase] = React.useState(null);
  React.useEffect(() => {
    setGhostTextBase(new GhostTextPluginBase(editor, id, $getGhostText, GhostTextNode, $createGhostTextNode, ghostTextProps, exposeText, allowCompletion));
    return () => {
      setGhostTextBase(prev => {
        prev === null || prev === void 0 ? void 0 : prev.cleanup();
        return null;
      });
    };
  },
  // We can update $getGhostText, $createGhostTextNode, ghostTextProps, exposeText, and allowCompletion without remounting
  // eslint-disable-next-line react-hooks/exhaustive-deps
  [editor, id]);
  React.useEffect(() => {
    ghostTextBase === null || ghostTextBase === void 0 ? void 0 : ghostTextBase.setAllowCompletion(allowCompletion);
  }, [allowCompletion, ghostTextBase]);
  React.useEffect(() => {
    ghostTextBase === null || ghostTextBase === void 0 ? void 0 : ghostTextBase.setComponentProps(ghostTextProps);
  }, [ghostTextBase, ghostTextProps]);
  React.useEffect(() => {
    ghostTextBase === null || ghostTextBase === void 0 ? void 0 : ghostTextBase.setExposeText(exposeText);
  }, [exposeText, ghostTextBase]);
  React.useEffect(() => {
    ghostTextBase === null || ghostTextBase === void 0 ? void 0 : ghostTextBase.setGetGhostText($getGhostText);
  }, [$getGhostText, ghostTextBase]);
  return null;
}
//# sourceMappingURL=GhostText.js.map