import { _ as _define_property } from "@swc/helpers/_/_define_property";
import * as React from 'react';
import { DecoratorNode } from '@fluentui-copilot/text-editor';
import { GhostText } from '../../components/GhostText/GhostText';
export class GhostTextNode extends DecoratorNode {
  static clone(node) {
    return new GhostTextNode(node.__id, node.__content, node.__exposeText, node.__componentProps, node.__key);
  }
  static getType() {
    return 'ghosttext';
  }
  static importJSON(serializedNode) {
    const node = $createGhostTextNode(serializedNode.id, serializedNode.content, serializedNode.exposeText, serializedNode.componentProps);
    return node;
  }
  exportJSON() {
    return {
      type: 'ghosttext',
      id: this.__id,
      content: this.__content,
      componentProps: this.__componentProps,
      exposeText: this.__exposeText,
      version: 1
    };
  }
  isInline() {
    return true;
  }
  isIsolated() {
    return true;
  }
  getTextContent() {
    return this.__exposeText ? this.__content : '';
  }
  updateDOM(prevNode, dom, config) {
    return false;
  }
  createDOM(config) {
    // eslint-disable-next-line no-restricted-globals
    return document.createElement('span');
  }
  decorate() {
    return /*#__PURE__*/React.createElement(GhostText, {
      nodeKey: this.getKey(),
      ...this.__componentProps
    }, this.__content);
  }
  constructor(id, content, exposeText, componentProps, key) {
    super(key);
    _define_property(this, "__content", void 0);
    _define_property(this, "__id", void 0);
    _define_property(this, "__allowCommitting", void 0);
    _define_property(this, "__componentProps", void 0);
    _define_property(this, "__exposeText", void 0);
    this.__id = id;
    this.__content = content;
    this.__exposeText = exposeText;
    this.__componentProps = componentProps;
  }
}
export function $createGhostTextNode(id, content, exposeText, componentProps) {
  return new GhostTextNode(id, content, exposeText, componentProps);
}
export function $isGhostTextNode(node) {
  return node instanceof GhostTextNode;
}
//# sourceMappingURL=GhostText.node.js.map